<%= form_with model: bill, local: true do |bill_form| %>
    <%= render 'components/errors', object: bill %>

    <%= bill_form.hidden_field :user_id, value: bill.user.id %>
    
    <p>
	Date of last bill: <%= date_last_bill_by_user(bill.user) %>
    </p>
    <p>
	<%= bill_form.label :billed_at %>
	<%= bill_form.datetime_field :billed_at, readonly: false, onblur: 'this.form.submit()' %>
    </p>
    <p>
	<%= bill_form.label :kwh_billed, 'To bill' %>
	<%= bill_form.text_field :kwh_billed, value: bill.user.kwh_to_be_billed_till(bill.billed_at), readonly: true %> kwh
    </p>
    <p>
	Amount to charge: $<%= bill.user.bill_amount_by_date(bill.billed_at) %> at a price of <%= Price.price_by_date(bill.billed_at) %> per kwh
    </p>
    <p>
	<%= bill_form.submit %>
    </p>
<% end %>
